<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@datashaper/react](./react.md) &gt; [HistoryPanelProps](./react.historypanelprops.md)

## HistoryPanelProps interface

<b>Signature:</b>

```typescript
export interface HistoryPanelProps 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [children?](./react.historypanelprops.children.md) |  | React.ReactNode | <i>(Optional)</i> |
|  [numSteps?](./react.historypanelprops.numsteps.md) |  | number | <i>(Optional)</i> |
|  [showStepCount?](./react.historypanelprops.showstepcount.md) |  | boolean | <i>(Optional)</i> |
|  [title?](./react.historypanelprops.title.md) |  | string | <i>(Optional)</i> |
|  [titleStyle?](./react.historypanelprops.titlestyle.md) |  | React.CSSProperties | <i>(Optional)</i> |
|  [toggleCollapsed](./react.historypanelprops.togglecollapsed.md) |  | () =&gt; void |  |

